Project

General

Profile

Scénario #21026

Updated by Daniel Dehennin almost 7 years ago

h3. Problème

Lors d’un Upgrade-Auto, l’installation peut mal se passer à cause des pilotes compilés (DKMS) :

* Impossible de démarrer sur le nouveau noyau
* Fichier présent dans le paquet DKMS fourni par un autre paquet en standard (cas présent pour Cédric #21013)

h3. Proposition

Intégrer le mécanisme de détection de l’écologie.

h3. Demande initiale

Suite à ma mésaventure lors de l'application du script Upgrade-Auto sur un scribe 2.3, je pense qu'il faudrait faire un test de plus avant le lancement : vérifier la présence de modules DKMS qui aurait été installé sur le 2.3.

En effet, j'ai eu droit à un stop du script puis après le reboot à un beau kernel panic... puis là... après de nombreuses bidouilles (encore merci Daniel sur IRC), je n'ai pas réussi à m'en sortir proprement ; du coup, je suis en train de lancer la restauration totale sur un 2.3 fresh install :/

Lié à cela : https://dev-eole.ac-dijon.fr/issues/21013

Back